Skip to main content
GET
/
v1
/
financials
/
{cik}
/
ratios
Financial ratios
curl --request GET \
  --url https://api.ivory.finance/v1/financials/{cik}/ratios \
  --header 'X-API-Key: <api-key>'
[
  {
    "accession_number": "<string>",
    "cik": "<string>",
    "ticker": "<string>",
    "report_period": "2023-12-25",
    "fiscal_year": 123,
    "fiscal_period": "<string>",
    "period": "<string>",
    "currency": "<string>",
    "market_cap_is_trailing": true,
    "gross_margin": 123,
    "operating_margin": 123,
    "net_margin": 123,
    "return_on_equity": 123,
    "return_on_assets": 123,
    "return_on_invested_capital": 123,
    "asset_turnover": 123,
    "inventory_turnover": 123,
    "receivables_turnover": 123,
    "days_sales_outstanding": 123,
    "operating_cycle": 123,
    "working_capital_turnover": 123,
    "current_ratio": 123,
    "quick_ratio": 123,
    "cash_ratio": 123,
    "operating_cash_flow_ratio": 123,
    "debt_to_equity": 123,
    "debt_to_assets": 123,
    "interest_coverage": 123,
    "revenue_growth": 123,
    "earnings_growth": 123,
    "book_value_growth": 123,
    "earnings_per_share_growth": 123,
    "free_cash_flow_growth": 123,
    "operating_income_growth": 123,
    "ebitda_growth": 123,
    "payout_ratio": 123,
    "earnings_per_share": 123,
    "book_value_per_share": 123,
    "free_cash_flow_per_share": 123,
    "enterprise_value": 123,
    "price_to_earnings_ratio": 123,
    "price_to_book_ratio": 123,
    "price_to_sales_ratio": 123,
    "enterprise_value_to_ebitda_ratio": 123,
    "enterprise_value_to_revenue_ratio": 123,
    "free_cash_flow_yield": 123,
    "peg_ratio": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.ivory.finance/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

cik
string
required

Query Parameters

fiscal_year
integer | null
period
string | null

FY, Q1, Q2, Q3, or Q4

limit
integer
default:8
Required range: 1 <= x <= 40

Response

Successful Response

accession_number
string
required
cik
string | null
ticker
string | null
report_period
string<date> | null
fiscal_year
integer | null
fiscal_period
string | null
period
string | null
currency
string | null
market_cap_is_trailing
boolean | null
gross_margin
number | null
operating_margin
number | null
net_margin
number | null
return_on_equity
number | null
return_on_assets
number | null
return_on_invested_capital
number | null
asset_turnover
number | null
inventory_turnover
number | null
receivables_turnover
number | null
days_sales_outstanding
number | null
operating_cycle
number | null
working_capital_turnover
number | null
current_ratio
number | null
quick_ratio
number | null
cash_ratio
number | null
operating_cash_flow_ratio
number | null
debt_to_equity
number | null
debt_to_assets
number | null
interest_coverage
number | null
revenue_growth
number | null
earnings_growth
number | null
book_value_growth
number | null
earnings_per_share_growth
number | null
free_cash_flow_growth
number | null
operating_income_growth
number | null
ebitda_growth
number | null
payout_ratio
number | null
earnings_per_share
number | null
book_value_per_share
number | null
free_cash_flow_per_share
number | null
enterprise_value
number | null
price_to_earnings_ratio
number | null
price_to_book_ratio
number | null
price_to_sales_ratio
number | null
enterprise_value_to_ebitda_ratio
number | null
enterprise_value_to_revenue_ratio
number | null
free_cash_flow_yield
number | null
peg_ratio
number | null